Re: [exim] Urgent problem with exim, php and apache ("unabl…

Top Page

Reply to this message
Author: Karim 'Kasi Mir' Senoucci
Date:  
To: exim-users
Subject: Re: [exim] Urgent problem with exim, php and apache ("unable to set gid/uid" error)
Hello all,
Am 23.09.2014 um 13:26 schrieb Karim 'Kasi Mir' Senoucci:
> Hello again,
> Am 23.09.2014 um 12:56 schrieb Jeremy Harris:
>>
>> It's the setgid failing; the only documented error is EPERM
>> (you could check that with strace)
>>
>> "The calling  process  is  not  privileged  (does  not  have the
>>                CAP_SETGID capability)"

>>
>> Have Deb been playing with this sort of thing? You might
>> want to ask on a Debian mailing list.
>
> The apache and php are self-compiled from source (and not the debian
> sources, but from apache.org and php.net). I don't even know how I
> could have removed the cap_setgid capability from apache and/or
> mod_php. What should I look for?
>


Thanks a lot for the tip with the setgid - it turns out it was a setting
in the mpm-itk module of apache which by default prevented the group
change. After explicity setting the parameter in question
(LimitGIDRange), it started working again as on the old server.

Greetings
Kasi Mir